# of

@Incubating
open fun of(vendor: String): JvmVendorSpec

Returns a vendor spec that matches a VM by its vendor.

The passed in vendor will first be matched against the known vendors. If there is a match, then the vendor spec matching the known vendor will be returned.

#### Return

a `JvmVendorSpec` that matches the given vendor

#### Since

8.13

#### Parameters

vendor

the vendor string to match

#### See also

JvmVendorSpec

ADOPTIUM and others known vendor specs